Bug 1379736 - SELinux is preventing /usr/sbin/postdrop from 'read' accesses on the fifo_file fifo_file.
Summary: SELinux is preventing /usr/sbin/postdrop from 'read' accesses on the fifo_fil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 14:32 UTC by Brian J. Murrell
Modified: 2017-08-01 15:15 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-124.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 15:15:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1861 0 normal SHIPPED_LIVE selinux-policy bug fix update 2017-08-01 17:50:24 UTC

Description Brian J. Murrell 2016-09-27 14:32:24 UTC
SELinux is preventing /usr/sbin/postdrop from write access on the fifo_file fifo_file.

*****  Plugin leaks (86.2 confidence) suggests   *****************************

If you want to ignore postdrop trying to write access the fifo_file fifo_file, because you believe it should not need this access.
Then you should report this as a bug.
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/sbin/postdrop /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests   **************************

If you believe that postdrop should be allowed write access on the fifo_file fifo_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep postdrop /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                system_u:system_r:postfix_postdrop_t:s0
Target Context                system_u:system_r:postfix_master_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        postdrop
Source Path                   /usr/sbin/postdrop
Port                          <Unknown>
Host                          server.interlinx.bc.ca
Source RPM Packages           postfix-2.10.1-6.el7.x86_64
Target RPM Packages
Policy RPM                    selinux-policy-3.13.1-60.el7_2.9.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     server.interlinx.bc.ca
Platform                      Linux server.interlinx.bc.ca
                              3.10.0-327.28.3.el7.x86_64 #1 SMP Thu Aug 18
                              19:05:49 UTC 2016 x86_64 x86_64
Alert Count                   87
First Seen                    2016-09-26 14:10:10 EDT
Last Seen                     2016-09-27 10:27:44 EDT
Local ID                      7d4f745a-0a10-4c8c-a27b-ca554bb5f271

Raw Audit Messages
type=AVC msg=audit(1474986464.478:4114): avc:  denied  { write } for  pid=17279 comm="postdrop" path="pipe:[27058]" dev="pipefs" ino=27058 scontext=system_u:system_r:postfix_postdrop_t:s0 tcontext=system_u:system_r:postfix_master_t:s0 tclass=fifo_file

Hash: postdrop,postfix_postdrop_t,postfix_master_t,fifo_file,write

This seems to be the EL7 version of bug #828739.

Comment 4 errata-xmlrpc 2017-08-01 15:15:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1861


Note You need to log in before you can comment on or make changes to this bug.